###############################################################################################################################################
#                    R Script for the analysis of Fournier-Level et al. 2013, submitted to Molecular Ecology                                  #
#                       - Run first the Fournier-Leveletal_SEM_PreliminaryScript.r for the right planting site                                #
#                       - Run one planting site at the time (section between 2 comments)                                                      #
#                       - The resolution being algorithmic the statistics can change a little from what stands in the manuscript...           #
#                       - for help e-mail: afournier@unimelb.edu.au                                                                           #
###############################################################################################################################################

################################################################Halle GER######################################################################

mod.H<-specifyModel()
MPTUtB<->MPTUtB,sigB,NA
LfL<->LfL,sigL,NA
Branch<->Branch,sigBr,NA
MPTUtF<->MPTUtF,sigF,NA
SIL_num<->SIL_num,sigSn,NA
MPTUtF<-MPTUtB,lamBF,NA
Branch->SIL_num,lamBrSn,NA
LfL<->MPTUtB,lamBL,NA
LfL->Branch,lamLBr,NA
QTL1.04_MPTUtBinH->MPTUtB,gam1.04,NA
QTL2.48_MPTUtBinH->MPTUtB,gam2.48,NA
QTL4.07_MPTUtBinH->MPTUtB,gam4.07,NA
QTL4.43_MPTUtBinH->MPTUtB,gamB4.43,NA
QTL5.92_MPTUtBinH->MPTUtB,gam5.92,NA
QTL4.03_LfLinH->LfL,gam4.03,NA
QTL4.28_LfLinH->LfL,gam4.28,NA
QTL5.82_LfLinH->LfL,gam5.82,NA
QTL1.05_MPTUtFinH->MPTUtF,gam1.05,NA
QTL2.52_MPTUtFinH->MPTUtF,gam2.52,NA
QTL4.05_MPTUtFinH->MPTUtF,gam4.05,NA
QTL4.43_MPTUtFinH->MPTUtF,gamF4.43,NA
QTL3.44_BranchinH->Branch,gam3.44,NA
QTL3.35_SIL_numinH->SIL_num,gam3.35,NA

sem.H<-sem(mod.H,cov.sem,n.Sem.Data,fixed.x=c('QTL1.04_MPTUtBinH','QTL2.48_MPTUtBinH','QTL4.07_MPTUtBinH','QTL4.43_MPTUtBinH','QTL5.92_MPTUtBinH','QTL4.03_LfLinH','QTL4.28_LfLinH','QTL5.82_LfLinH','QTL1.05_MPTUtFinH','QTL2.52_MPTUtFinH','QTL4.05_MPTUtFinH','QTL4.43_MPTUtFinH','QTL3.44_BranchinH','QTL3.35_SIL_numinH'))
summary(sem.H)


################################################################Cologne GER####################################################################

mod.K<-specifyModel()
MPTUtB<->MPTUtB,sig1,NA
LfL<->LfL,sig2,NA
MPTUtF<->MPTUtF,sig3,NA
Branch<->Branch,sig4,NA
SIL_num<->SIL_num,sig5,NA
MPTUtB->Branch,lamBBr,NA
Branch<-LfL,lamBrL,NA
MPTUtF<-MPTUtB,lam13,NA
SIL_num<-Branch,lam45,NA
QTL1.04_MPTUtBinK->MPTUtB,gamB1.04,NA
QTL1.13_MPTUtBinK->MPTUtB,gam1.13,NA
QTL5.95_MPTUtBinK->MPTUtB,gam5.95,NA
QTL4.39_LfLinK->LfL,gam4.39,NA
QTL1.04_MPTUtFinK->MPTUtF,gamF1.04,NA
QTL2.22_MPTUtFinK->MPTUtF,gam2.22,NA
QTL5.92_MPTUtFinK->MPTUtF,gam5.92,NA
QTL2.03_BranchinK->Branch,gamBr2.03,NA
QTL2.03_SIL_numinK->SIL_num,gamSn2.03,NA

sem.K<-sem(mod.K,cov.sem,n.Sem.Data,fixed.x=c('QTL1.04_MPTUtBinK','QTL1.13_MPTUtBinK','QTL5.95_MPTUtBinK','QTL4.39_LfLinK','QTL1.04_MPTUtFinK','QTL2.22_MPTUtFinK','QTL5.92_MPTUtFinK','QTL2.03_BranchinK','QTL2.03_SIL_numinK'))
summary(sem.K)


###############################################################Norwich UK######################################################################

mod.N<-specifyModel()
MPTUtB<->MPTUtB,sig1,NA
LfL<->LfL,sig2,NA
MPTUtF<->MPTUtF,sig3,NA
Branch<->Branch,sig4,NA
SIL_num<->SIL_num,sig5,NA
MPTUtB<->LfL,lamBL,NA
Branch<-MPTUtB,lamBBr,NA
Branch<-LfL,lamLBr,NA
MPTUtF<-MPTUtB,lam13,NA
SIL_num<-Branch,lam45,NA
QTL1.15_MPTUtBinN->MPTUtB,gam1.15,NA
QTL4.01_MPTUtBinN->MPTUtB,gamB4.01,NA
QTL5.24_MPTUtBinN->MPTUtB,gam5.24,NA
QTL5.32_LfLinN->LfL,gam5.32,NA
QTL1.84_MPTUtFinN->MPTUtF,gam1.84,NA
QTL4.01_MPTUtFinN->MPTUtF,gamF4.01,NA
QTL5.25_BranchinN->Branch,gam5.25,NA
QTL1.04_SIL_numinN->SIL_num,gam1.04,NA

sem.N<-sem(mod.N,cov.sem,n.Sem.Data,fixed.x=c('QTL1.15_MPTUtBinN','QTL4.01_MPTUtBinN','QTL5.24_MPTUtBinN','QTL5.32_LfLinN','QTL1.84_MPTUtFinN','QTL4.01_MPTUtFinN','QTL5.25_BranchinN','QTL1.04_SIL_numinN'))
summary(sem.N)


##############################################################Valencia SP######################################################################

mod.V<-specifyModel()
MPTUtB<->MPTUtB,sig1,NA
LfL<->LfL,sig2,NA
MPTUtF<->MPTUtF,sig3,NA
Branch<->Branch,sig4,NA
SIL_num<->SIL_num,sig5,NA
MPTUtB<->LfL,lamBL,NA
Branch<-MPTUtB,lamBBr,NA
Branch<-LfL,lamLBr,NA
MPTUtF<-MPTUtB,lam13,NA
SIL_num<-Branch,lam45,NA
QTL5.06_MPTUtBinV->MPTUtB,gamB5.06,NA
QTL5.95_MPTUtBinV->MPTUtB,gamB5.95,NA
QTL3.39_LfLinV->LfL,gamL3.39,NA
QTL5.06_LfLinV->LfL,gamL5.06,NA
QTL5.90_LfLinV->LfL,gamL5.90,NA
QTL5.90_MPTUtFinV->MPTUtF,gamF5.90,NA

sem.V<-sem(mod.V,cov.sem,n.Sem.Data,fixed.x=c('QTL5.06_MPTUtBinV','QTL5.95_MPTUtBinV','QTL3.39_LfLinV','QTL5.06_LfLinV','QTL5.90_LfLinV','QTL5.90_MPTUtFinV'))
summary(sem.V)

